#include <stdio.h>
#include <stdlib.h>

void CalcChangeFor(int cent)
{
  int i, val;
  int coins[] = { 200,100,50,20,10,5,2,1,};

  if (cent == 0)
    return;	/* genauer Betrag */
  if (cent < 0)
    return;	/* ungltiger Betrag */

  for(i=0; i < 7; i++) {	/* fr jede Mnze */
    val = coins[i];
    for(i = cent; i > 0; i--)
      if (val*i <= cent) 
	printf("%d x %dc\n", i, val);
    CalcChangeFor(cent - i*val);
    return; 
  }
}

void usage(void)
{
  fprintf(stderr, "Eingabe: change <amount>\n");
}

int main(int argc, char **argv)
{
  if (argc > 1)
    CalcChangeFor(atoi(argv[1]));
  else
    usage();
  return 0;
}

